/******************************************************************************
 *                        TMBOEdit.cpp  -  description
 *                            -------------------
 *   begin                : 2005/05/25
 *   copyright            : (C) 2005 by Harald K. Strack
 *   copyright            : (C) 2005 by Trymedia Inc.
 *   email                : hstrack@trymedia.com
 ******************************************************************************
 * changes	name	date	comment
*/


/* TMBOEdit: Trymedia Handler for the ap4 edit command.
 * 
 * This handler only implements the right chmodding when typing ap4 edit.
 * 
 */
#include "TMBOEdit.h"

TMBOEdit::TMBOEdit ()
{
}

TMBOEdit::~TMBOEdit ()
{
}

void
TMBOEdit::Chmod (TMFSHook * f, Error * e)
{
	mode_t mode = f->GetMode (e);
#ifndef FULL_PERMS
	mode |= 0600;			//Set u+w
#endif
	f->SetMode (mode, e);
}
