/******************************************************************************
 *                        TMBORevert.cpp  -  description
 *                            -------------------
 *   begin                : 2005/05/25
 *   copyright            : (C) 2005 by Harald K. Strack
 *   copyright            : (C) 2005 by Trymedia Inc.
 *   email                : hstrack@trymedia.com
 ******************************************************************************
 * changes	name	date	comment
*/


/* TMBORevert: Trymedia Handler for the ap4 revert command.
 * 
 * Is the same as TMBOSync ;-)
 * 
 * This handler gets the versioned filenames (vpath)from 
 * TMSyncClient::Message(). The filnames (path) it gets
 * from RecieveP4Attributes and a hook in TMClientUser.
 * The reason for this double way of getting filenames is
 * just to find coding errors. It helped a lot!
 * 
 * With this data it can perform any actions an any files after the sync call.
 * 
 * 
 */


#include "TMBORevert.h"

TMBORevert::TMBORevert ()
{
}

TMBORevert::~TMBORevert ()
{
}

/* String for errormessages */
StrBuf & TMBORevert::GetDescription ()
{
	StrBuf *
	buf = new StrBuf;
	buf->Set ("TRYMEDIA REVERT HANDLER");
	return *buf;
}
