#ifndef _TMBOSYNC_H_
#define _TMBOSYNC_H_

#include "TMBO.h"
#include "TMClientUser.h"


using namespace std;

class TMBOSync : public TMBO
{
public:
	virtual ~TMBOSync();
	TMBOSync();
	virtual void Run (Error * e = NULL);
	virtual StrBuf & GetDescription ();
	static TMBOSync * Create () { return new TMBOSync(); }
	virtual void SetFileSys (FileSys * fs); //Disabled
	virtual void HandleDirectories (const StrPtr * name, mode_t st_mode, Error * e = NULL);
	virtual void HandleArguments ( int argc, char **argv, Error * e );

protected:
	bool doNothing;

};

#endif //_TMBOSYNC_H_
